introduction

Philips Remote Device Manager

Welcome to the Philips Remote Device Manager online help.

With Philips Remote Device Manager you can centrally manage your Philips devices. You can assign device configurations to users, device types and devices. Device configurations are regularly downloaded and cached by the Updater Client applications on the users' machines to allow fast configuration update of the connected devices.

The following Device models are supported:

  • Digital Pocket Memo 3 (types LFH 9600, 9620, 9500, and 9520)

  • Digital Pocket Memo 8000 series (types LFH 8000, 8200, and 8500)

  • SpeechMikeII (types LFH 5260, 5262, 5270, 5272, 5274, 5276, 5282, and 5284)

  • SpeechMike Air (types LFH 3000, 3010, and 3020)

  • SpeechMike 3rd Generation (types LFH 3200, 3210, 3220, 3300, and 3310)

  • SpeechMike Premium (types LFH 3500, 3510, 3520, and 3600 and 3610 with Barcode)

  • Foot Control (types LFH 210/90, 6212, 6220, 2310, 2320 and 2330)
    The LFH 210/90, 6212, 6220, 2310, 2320 type Foot Controls have three pedals, and they are called 3-Pedal FootControl.
    The four-pedal Foot Controls are called the 4-Pedal     FootControl.

The tool consists of the following modules working together:

  • Server

  • Management Console

  • Updater Client

For more information, see Architecture.


Trademarks

Philips and the Philips’ Shield Emblem are registered trademarks of Koninklijke Philips Electronics N.V. and are used by Speech Processing Solutions GmbH under license from Koninklijke Philips Electronics N.V.


System Requirements

Philips Remote Device Manager requires the following hardware and software specifications in order to function properly:

Hardware Requirements

  • The minimum requirement for your processor is: Pentium III with 500 MHz and 256 MB RAM.

The recommended requirement for your processor is: Pentium IV or similar with 1 GHz and 1 GB RAM.

  • 50 MB hard disk space is required.

  • Microsoft .NET Framework requires 250 MB of free disk space.

Software requirements

  • Microsoft Windows XP (32 bit) Service Pack 3

  • Microsoft Windows Server 2008 R2 Service Pack 1

  • Microsoft Windows 7 Service Pack 1

The remote device management server needs one of the following SQL servers:

  • Windows Server 2008 R2 Service Pack 1

  • Microsoft SQL Server 2008 R2

  • Microsoft SQL Server 2008 R2 Express

It is strongly recommended to have the latest Service Packs and hotfixes installed. Make sure that you have all the necessary operating system updates installed. For more information, see the Microsoft Windows Update website.


Architecture

Philips Remote Device Manager is a client-server application with an SQL database. The server runs as a Windows service and the following types of clients can be connected to it: the Management Console and the Updater Client. Most of the topics in this help file refer to the Management Console application.

Server

Stores the device configurations in an SQL database and serves the two kinds of clients with data. For more information, see Server.

Management Console

Allows the administrator to assign configurations to users, device types and devices. It can be installed on the same computer as the server using the server setup or on a separate computer. For more information, see Management Console.

Updater Client

It is a small application that starts when the system starts on the user's machine. The Updater Client runs under the user's account and has an icon on the system tray. It checks if a device is connected and asks the latest configuration from the server based on the device and user information. If the server is not available, it uses a cached configuration if there is any. If the server is available, it is polled for new configurations regularly. However, the update takes place only when the application starts or a device is connected in order to avoid disturbing the user during work. For more information, see Updater Client.


Installation

To install Philips Remote Device Manager, follow the instructions below:

  1. Install the Microsoft SQL Server.

  2. Install the Server using the setup.
    No database is created or configured at the moment.

  3. Install the Management Console.
    It can be installed on the same computer as the server using the server setup or on a separate computer.

  4. Start the Management Console.

  5. Create or configure a database through Database settings in the Server menu.

  6. Create the configurations using the Management Console.

  7. Install the Updater Client on all client computers.


Device identification

Device configurations are the main data for Philips Remote Device Manager.

On group level, the device group names of Digital Pocket Memos and SpeechMikes contain the LFH number of the device in order to distinguish groups of the same device type (for example, two different SpeechMike groups). The LFH number identifies the device type. Foot Control groups are distinguished based on the number of pedals (3-Pedal or 4-Pedal FootControl).

Devices with the same LFH number can have the same settings.

On device level, identification is made based on user name or serial number.

User name

User name is the Windows user account that the user logs in with, when using the Updater Client. It includes the domain name.

SpeechMikes and Foot Controls are identified by the Windows user name.

Example of User name identifier: PHILIPS\john

Serial

Serial numbers uniquely identify devices. Digital Pocket Memos have serial numbers assigned by the factory. This means that there is only one Digital Pocket Memo with a given LFH number and serial number.

Digital Pocket Memos are identified by their serial number.

The configured Value1 of the Keyword1 setting will be displayed after the serial number in brackets. If no value is configured, empty brackets will be displayed. If the value has been configured on group level, the same value will be displayed for all devices under the group.

For information on how the device identifiers are used when updating the configuration of a device, see Updater Client.

For information on searching and managing configurations, see Updater Client.

For information on creating and editing configurations, see Configuration editor and Configuration list in Management Console.


Server

PSP.RemoteDeviceManagement.Server.exe is a Windows service running under the System account as default. It serves the clients on port 13775. The default port may be changed by editing the following registry key and restarting the Server service:

<ROOT>\Software\Philips Speech\Remote Device Manager\Server

Value: ServerPort

Type: REG_DWORD

All data is stored in Miscrosoft SQL Server. The SQL database can be backed up using standard Microsoft tools.


Central login

Central login to the Remote Device Management Tool means that only Windows users of "RDMAdmin" AD group can use Management Console and connect to the server.

You can create the "RDMAdmin" group in the Active Directory and assign the users to the group in the administration tool manually.

To use central login, choose Options from the Server toolbar item in the Remote Device Management Tool and select the Enable central login checkbox. In this case, the Management Console can be accessed by "RDMAdmin" group members only.


Toolbar

Philips Remote Device Manager has the following toolbar buttons:

Server

Displays the server menu, where server-related tasks are available.

Database settings

Create a new database or specify an existing one for using the application. Configuration settings and firmware files will be uploaded to and stored in the database. The Updater Client will upload the necessary settings and firmware files to the connected device from this database.

Options

Application mode

Define the operation mode of the application.

  • Distributed mode (recommended): In this mode, the updater clients download the related configurations from the server in the background periodically (defined in minutes in the Refresh interval field). Only the already downloaded configuration will be uploaded to the connected device. Changes since the last download will not be uploaded. This is the recommended operation mode for fast update.

  • Local mode: In this mode, the updater clients update the device configurations each time when the device is connected. This operation mode is not recommended in production environment. The application using the connected device uses the previous configuration settings because the download of the settings from the Server to the Updater Client can take long time, depending on the network. This operation mode should be used only when the Server and the Updater Client is installed on the same computer.

The operation mode is a system-wide setting, therefore all Updater Clients will use the same mode.

Central login

To use central login, select the Enable central login checkbox. In this case, the Management Console can be accessed by "RDMAdmin" group members only.

For more information, see Central login.

Check number of device configurations

Indicates the maximum number of possible device configurations and the current number of the device configurations.

When installing the application, a limited edition is available, where maximum ten device configurations can be created.

If the number of the configurations reach the limit, you can create further configurations only by deleting existing configurations or by upgrading to Enterprise edition. To upgrade the application to Enterprise edition, contact your local vendor.

Enter registration key

Enter the registration key at first use of the application. The key is validated by the Server at start-up and upon entering a new key (for example, when upgrading the application). If the registry key is deleted and the Server is restarted, no more device configurations are allowed, but the previously created configurations will not be lost.

The registry key is also required if the Server is installed on another computer or in a clean Windows environment.

Connect to server

Enter the name or the IP address of the Remote Device Manager Server computer. The port can be set additionally after the server name with a colon if not the default is used.

Author-PIN link

Displays the Link author name with PIN code window, where you can manage author-PIN code linking.

This option applies to Digital Pocket Memo 8000 series only.

Here you can define whether to link authors with unique PIN code:

  • Set author-PIN link: Select this option to link author and PIN code on all connected Digital Pocket Memo 8000 series devices within the selected organizational unit.
    If the organizational unit belonging to the connected device has an author name and a PIN list specified, the Updater Client sets the link with the specified list.
    Keyword 1 values for the selected organizational unit cannot be configured if author-PIN code linking is set.

    The author-PIN code links must be set separately for the organizational units in the configuration tree.

    Note:     Author-PIN code linking is not available for devices in the Unassigned group.

  • Clear author-PIN link on devices: Select this option to disable linking between author name and PIN code on all connected Digital Pocket Memo 8000 series devices.
    Keyword 1 values are available for configuration.

  • Do not change author-PIN link settings: Select this option to leave linking between author name and PIN code unchanged on all connected Digital Pocket Memo 8000 series devices. In this case, no linking is made or cleared by the Updater Client.
    Keyword 1 values defined in the configuration editor will be ignored by devices with author-PIN code linking.

    This is the default value.

Set author-PIN code linking, as follows:

  1. Go to the configuration tree.

  2. Select an organizational unit.

  3. Right-click on the selected Organizational unit, and choose Set author-PIN link from the context menu.
    The Link author name with PIN code window is displayed.

  4. Set the author-PIN code links by defining the author name (maximum 30 characters) in the Author name column and the PIN code (digital numeric values allowed) in the PIN code column.

    Notes:
    Maximum 40 author-PIN code links can be set.
    The PIN code must be unique for each author.

Keyword distribution

Displays the Keyword list management window, where you can manage keyword distribution.

This option applies to Digital Pocket Memo 8000 series only.

Here you can define whether to set the keywords on devices to pre-defined values:

  • Distribute keyword list to devices: Select this option to set the keywords on Digital Pocket Memo 8000 series devices based on the CSV files in the specified network share.
    If the organizational unit belonging to the connected device has a CSV file with a matching name in the network share, the Updater Client copies that CSV file to the device, which will import the file automatically and use the specified keyword values.
    Keyword 2-4 values for the selected organizational unit cannot be configured if keyword distribution is set.

    When selecting this option, define the network share in the Network share for the CSV files textbox.
    Note:     All Updater Clients must have read access to the specified network share.

    Note:     Keyword distribution is not available for devices in the Unassigned group.

  • Clear keyword distribution on devices: Select this option to disable keyword distribution to all connected Digital Pocket Memo 8000 series devices.
    Keyword 2-4 values are available for configuration.

  • Do not change keyword distribution settings: Select this option to leave keyword list distribution unchanged on all connected Digital Pocket Memo 8000 series devices. In this case, no keyword list is distributed or cleared by the Updater Client.
    Keyword 2-4 values defined in the configuration editor will be ignored by devices with keyword distribution.

    This is the default value.

Refresh

Reloads the configuration database and refreshes the device configuration and firmware files list in the Management Console.

Exit

Shuts down the Management Console.


Configuration tree

On the left side of the Management Console, the device configurations are categorized in a configuration tree.

All new, unassigned, and assigned device configurations are contained by the All configurations root item. The configuration list of this item displays all the device configurations with information on device identification, with the organizational unit to which the devices belong, and other necessary information.

Under the All configurations root item, the NEW DEVICES unit, the Unassigned unit and the organizational units can be found.

New device configurations are displayed under the NEW DEVICES unit. New devices are devices connected by the user to the Updater Client first time and not created by the administrator in the Management Console. From this time on, the administrator manages the configuration.

Device configurations not assigned yet to any organizational unit are displayed under the Unassigned unit. Device groups in this unit are only virtual, and do not contain device settings. Configurations can be made only on device level here.

The organizational units contain the group configurations with the device configurations. The name of this unit is displayed the way the user named it during creation. The configuration list of the organizational units displays the device configurations belonging to the organization with necessary information.

Group configurations under the organizational units can be created for the necessary device types (for the different types of Digital Pocket Memos, SpeechMikes, and Foot Controls). For different types of devices (devices with different LFH numbers) different groups must be created. When editing a group configuration, the defined settings will be used by all device configurations belonging to that group. These settings will be automatically updated in the device configurations and they will be read-only. When a device configuration is moved to another group, all settings that have been defined and locked in the group configuration will be cleared in the device configuration. The configuration list of the groups displays the device configurations belonging to the group with necessary information.

Device configurations can be found under the groups. They are named by the serial number (Digital Pocket Memos) or by the Windows user name with domain name (SpeechMikes and Foot Controls). The device configuration settings can be edited in the Configuration editor window, by double-clicking on the device configuration or on the settings list or with the Edit toolbar button.

When selecting an item in the configuration tree, the panel on the right side displays the following:

  • the Configuration list, if the selected item in the tree is All configurations, NEW DEVICES, Unassigned, or an organizational unit

  • the configuration of the item, on the View configuration page, if the selected item contains settings (device configurations and group configurations under the organizational units)


Configuration list

Configurations can be created and edited. The Updater Client will use these configurations to update the connected devices at the user's PC.

The configuration list enumerates the device configurations belonging to the organization or group, which is selected in the configuration tree.

The configuration list displays the following information on the device configurations:

Device type

This column displays the devices for which configurations are created. The device can be a Digital Pocket Memo, a SpeechMike, or a Foot Control.

LFH

This column displays the LFH number of the device. See Device identification for details.

Serial number

This column displays the serial number of the Digital Pocket Memos. See Device identification for details.

User name

This column contains the user name with the domain name specified. Whenever a user connects a device, the Updater Client application will send the user's name and the identifiers of the device to the server. If a configuration exists for the user and for the device, the existing configuration will be used, otherwise a new entry will be created in the list with the user's name. This user name identification is used in the case of SpeechMikes and Foot Controls. See Device identification for details.

Status

This column displays the status of the configuration.

  • New - The device was connected by the user and recognized by the system, but no user configuration has been done yet. The system creates a configuration by downloading the actual configuration from the device, but the administrator has not yet taken care of it. The Updater Client will not perform any updates if the device has only a new configuration.

  • Recognized - The administrator opened and confirmed the configuration by either moving it to an organizational unit or to the Unassigned special unit.

Update status

This column displays the success (Updated) or failure (Failed) of the update of the settings on the device.

Last modified

This column displays date and time of the last modification of the device configuration.

Organizational unit

This column displays the organization to which the device configuration belongs.

Comment

This column displays additional information on the device configuration.

The following actions are available in the configuration list:

Add

Add a new configuration.

The configuration can be modified before saving.

This button is active only in the configuration list of groups.

Edit

Edit the selected device configuration in the Configuration editor window. For more details, see Configuration editor.

This button is active only if a device configuration is selected.

Delete

Delete the selected device configuration. When a configuration is deleted, and the device is connected to the Updater client, no device update will take place and a configuration will be created in the list with the New status.

The multiple device configurations can be deleted at once with the Delete context menu item in the configuration tree.

Move to organizational unit

Move device configurations to another organizational unit or to the Unassigned group. The target organizational unit must be defined.

The drag and drop functionality is also available for this operation. In this case, the device configurations to be moved can be selected both from the configuration list and from the configuration tree.

Note: When a device configuration is moved to an organizational unit without group configuration for the LFH, an empty group configuration is created. The overwrite value of the settings in the empty group configuration is not enabled, and the comment is left empty. If another administrator creates the same group configuration at the same time (either manually or automatically), one of the operations may fail.

Export

Export the current configuration list in CSV format to the PC.


View configuration

On this page, the configuration settings of a device or group under an organizational unit can be viewed.

Setting name

Each configuration setting is represented by a row in the table. The settings are grouped into sections.

Last known setting

The value that was given for the setting when the device was last connected to the Updater Client.

This field is visible only for device configurations.

Overwrite

If checked in, the current setting (in the New setting column) will be applied on the device by the Updater Client application. If unchecked, the current setting will not be applied on the device. In this case, the setting will not be changed on the device.

Note: When a setting is defined on group level, it will apply for all the belonging device configurations and it cannot be changed on device level.

New setting

The setting that will be uploaded to the device. This field can be edited only if Overwrite is enabled.

Note: When a setting is defined on group level, it will apply for all the belonging device configurations and it cannot be changed on device level.

The settings can be edited in the Configuration editor.


Configuration editor

In the Configuration editor window device configuration settings can be edited. This editor may be opened from the configuration list or from the View configuration page.

LFH

The device type of the currently edited configuration.

Serial

The serial number of the currently selected Digital Pocket Memo configuration. This field is visible only when editing Digital Pocket Memo configurations.

Not visible in group configurations.

User name

The Domain\User name of the currently edited configuration. This field is visible only when editing SpeechMike and Foot Control configurations.

Not visible in group configurations.

Organizational unit

The organizational unit to which the currently selected configuration belongs.

Comment

Additional information on the device configuration given by the administrator.

Setting name

Each configuration setting is represented by a row in the table. The settings are independent, the only exception is DSS Mode, because if Classic mode is selected then QualityPlay is not a selectable option for recording format. The settings are grouped into sections.

Last known setting

The value that was given for the setting when the device was last connected to the Updater Client. This field is visible only when editing device configurations.

Overwrite

If checked in, the current setting (in the New setting column) will be applied on the device by the Updater Client application. If unchecked, the current setting will not be applied on the device. In this case, the setting will not be changed on the device.

Note: When a setting is defined on group level, it will apply for all the belonging device configurations and it cannot be changed on device level.

New setting

The setting that will be uploaded to the device. This field can be edited only if Overwrite is enabled.

Values can be selectable options or just plain text fields. The only special setting is the Keyword input options that brings up a special dialog.

Note: When a setting is defined on group level, it will apply for all the belonging device configurations and it cannot be changed on device level.

For a description on the relevant device configuration settings, see DPM settings, SpeechMike settings, and Foot Control settings.


4-position style

This property specifies the slide switch behaviour of the device. The following slide switch configurations are available:

  • Philips classic switch

  • Philips slide switch: available only for Digital Pocket Memo 8200

  • International slide switch: available only for Digital Pocket Memo 8000 and 8500

  • Grundig slide switch: available only in German.

This property is available only for Digital Pocket Memo 8000 series devices.


Active recording profile

This property specifies the active recording profile of the recorder The following recording profiles are available:

  • Dictate

  • Meeting

  • Speech recognition

  • Personal

The settings of the profiles can be defined under Microphone directivity in hand/on desk, Recording format and Microphone sensitivity.

This property is available only for Digital Pocket Memo 8000 series devices.


Additional function key

This property specifies the function that the user can access directly by pressing the function key.

The setting defined here will be performed when pressing the function key of the Digital Pocket Memo.

This property is available only for Digital Pocket Memo 3 devices.


Additional user-defined labels

This property specifies the number of user strings for a dictation on a DPM. By default, the value of this property is set to 0. See also Mandatory user input options.

This property is available only for Digital Pocket Memo 3 devices.

For more information about assigning keywords, recording special instructions and entering user-defined labels, see the User Manual of the DPM.


Append mode

This property specifies whether the newly recorded speech is added to the end of the existing dictation file, in order to avoid accidental overwriting regardless where the cursor is at the moment.

For Digital Pocket Memo 8000 series devices, see Edit mode.


Appearance

This property specifies the appearance of the display mode on the DPM.

The following display modes are available for Digital Pocket Memo 3 devices:

  • Standard display: This option uses larger symbols and shows less detailed information about the current dictation file.

  • Advanced display: This option uses smaller symbols and shows more detailed information about the current dictation file. For more information, see the User Manual of the DPM.

The following display modes are available for Digital Pocket Memo 8000 series devices:

  • Classic display: This option uses larger symbols and shows less detailed information about the current dictation file.

  • Advanced display: This option uses smaller symbols and shows more detailed information about the current dictation file. For more information, see the User Manual of the DPM.


Audible scan

This property specifies whether listening to the dictation file is enabled while forwarding or rewinding a recording on the Digital Pocket Memo.

When this option is activated the winding speed is slower.


Background illumination time

This property specifies the switch-off time of the display of the DPM. The following options are available:

  • Auto

  • Switch off after 8 seconds

  • Switch off after 20 seconds

  • On (always on)

This property is available only for Digital Pocket Memo 8000 series devices.


Barcode scan button

This property specifies which button triggers barcode scanning in online mode.

If the DPM device is connected to your PC, you can use any button for scanning. However, if the device is not connected to the PC, only the smart button can be used for scanning.


Barcode scan mode

This property specifies the mode of barcode scanning.

The following settings are available:

  • Scan to application focus (keyboard mode): The barcode will be scanned to the current place of the Windows cursor.

  • Barcode event mode:The application automatically processes the scanned barcode and initiates the associated action, such as starting a new recording. In this mode, the application must be prepared for handling the barcode read event.


Delete files on the DPM after download is finished

Delete files on the DPM after download

This value is used by the download software to store and adjust the setting that specifies whether the dictation files on the DPM should be deleted after they have been transferred to the PC.


Device beep

This property specifies whether the device beep is enabled.

The DPM gives an audio signal (beep) when certain tasks have been completed, for example, after a dictation has been played back. If the device beep is disabled, the DPM gives an audio signal only as a warning, for example, when the Philips MMC card is full.


Display at low area

This property defines the bottom line content of the Digital Pocket Memo display.

Select the Author name option to display the user name with which the dictation file was created. For Digital Pocket Memo files, this is the Author keyword definition. Select the File name option to display the name of the Digital Pocket Memo file with the extension.

This property is available only for Digital Pocket Memo 3 devices.


Download file Keyword 1 filter

This setting applies when the Download file type is set to Files with Keyword 1. In this case the download application transfers all the files, the Keyword 1 value of which is the same as the one specified in the Download file Keyword 1 filter.


Download file type

This property specifies the settings for the download.

Using a download application, the following settings may apply during file transfer:

  • All files: All files on the DPM are transferred to the PC.

  • EOL files: Only files with the EOL indication are transferred from the DPM to the PC.

  • File selection: The download application displays a file selection dialog. This dialog lists all files on the DPM. Only those files are transferred from the DPM to the PC which the user selects in this dialog.

  • Files with Keyword 1: All files are downloaded with a specific keyword assignment. This assignment matches the defined content string for Keyword 1, which can be given in the field.


DSS mode

This property specifies whether the user can record .ds2 files on the DPM.

Recording .ds2 files has the following advantages:

  1. The user can protect the files with the enhanced DSS Pro encryption.

  2. Creation of dictations in Quality Play mode is possible, which provides recordings with the highest quality.

This property is available only for Digital Pocket Memo 3 devices.


Edit mode

This property specifies the place where the newly recorded speech is inserted in the dictation file. The following options are available:

  • Insert mode: The newly recorded speech is inserted at the current position in the sound file. Any existing recorded speech is preserved.

  • Overwrite mode: The newly recorded speech replaces existing recorded speech at that position in the sound file. The default setting is Overwrite mode.

  • Append mode: The newly recorded speech is added to the end of the sound file. Any existing recorded speech is preserved.

This property is available only for Digital Pocket Memo 8000 series devices.


Enable noise reduction

This property specifies whether noise reduction is enabled on the DPM. This feature reduces background noise during recording.

The following settings are available:

  • Yes: Noise reduction will be enabled on the device.

  • No: Noise reduction will not be enabled on the device.


Enable USB audio device

This property specifies whether USB audio device is enabled on the DPM.

If this option is disabled, recording and playback will not function on the DPM device. In this case, the default Windows recording and playback device will not be changed automatically when the DPM is connected to the computer.


EOL (End-of-Letter) button enabled

This property specifies whether the EOL button is enabled on a DPM.


File name mode

This setting defines how DPM file names are created.

  • Keyword 1: The file name creation is based on the predefined Keyword 1.

Example:

Keyword 1 is Author that has been defined as the Keyword 1 usage. For more information, see Keyword Definition in the SpeechExec Dictate online help. The entries for the keyword usage are a selection of the author's names: Jones, Singh, Watson.

Author Watson selects the respective author name on the DPM. The DPM generates the Wats001.dss file name; the first four characters of the author name are used for the file name.

  • Prefix: The file name creation is based on the predefined prefix string. The prefix string may not have more than four characters.

Example:

Author Watson defines the prefix string Memo. The DPM generates the Memo001.dss file name.


File name prefix

This setting applies when the File name mode is set to prefix.

In case of Digital Pocket Memo 3 devices, the prefix string may not have more than four characters.

In case of Digital Pocket Memo 8000 series devices, the prefix string may not have more than thirty characters.

Example:

File name defines the prefix string Memo. The DPM generates the Memo001.dss file name.


Firmware version

This property specifies the firmware version to be uploaded onto the device.

The user can choose from the versions defined on the Firmware files page.


Foot-controlled operation

This property specifies the Foot Control operation on dictation and transcription functions to keep hands free for work. The following options are available:

  • Hands-free dictation

  • Hands-free transcription

This property is available only for Digital Pocket Memo 8000 series devices.


Index/Spoken instructions

Depending on the DPM which is used, this setting defines whether creating an index or a spoken instruction is enabled on the device during recording.

For more information about recording special instructions with the DPM, see the User Manuals.


Keyword area string

This property specifies what the keyword area displays on the DPM screen. The following options are available:

  • Empty: The keyword area remains empty.

  • Keyword1: The keyword area shows the Keyword1 value.

  • Keyword2: The keyword area shows the Keyword2 value.

  • Keyword3: The keyword area shows the Keyword3 value.

  • Keyword4: The keyword area shows the Keyword4 value.

  • Keyword5: The keyword area shows the Keyword5 value.

  • Barcode: The keyword area shows the value of the barcode scanning.

This property is available only for Digital Pocket Memo 8000 series devices.


Keyword Options

This property specifies the options for the keywords on the DPM.

Keywords

Each keyword is represented by a column in the table.

This property is available only for Digital Pocket Memo 3 devices.

Barcode

The keyword is set by the user with the Barcode scanner. If more than one keyword is set in the Barcode, all the keywords are mandatory, and the user has to scan them in order.

Voice command

The keyword is set by the user with a voice command. If more than one keyword is set in the Voice command, all the keywords are mandatory, and the user has to say them one after another, in the order of the keywords.

This property is available only for Digital Pocket Memo 3 devices.

Mandatory

The keyword has to be set by the user before dictation.

Type of voice command

The user can either say a keyword value or say the alphanumeric characters to set the keyword.

This property is available only for Digital Pocket Memo 3 devices.

Linked keywords

Specifies whether the keywords are linked to each other. For example, if the user selects the second keyword value from Keyword 1, all other keywords have their second value. This way you can assign, for example, work types or transcriptionists to authors.

For Digital Pocket Memo 8000 series devices, keyword values can be set to pre-defined values with the Keyword distribution toolbar button.


Lock timeout

This property determines the time after which the device asks a PIN code. The timeout interval can be set to 5 minutes, 15 minutes, 30 minutes, 60 minutes, or 90 minutes.

Select Never to turn off the locking of the device.


Mandatory user input options

This setting applies when the value of the user-defined labels property is set to at least 1.

Select the type of mandatory information that DPM users have to provide when making recordings:

  • None: Disables the mandatory user input feature.

  • User-defined label: The specified number of the user-defined labels property must be entered when a new recording is started.

For more information about assigning keywords, recording special instructions and entering user-defined labels, see the User Manual of the DPM.

This property is available only for Digital Pocket Memo 3 devices.


Mass storage write protection

This property specifies whether the mass storage device of the Digital Pocket Memo device is read-only.

Note: This property is available only for DPM3 devices with firmware version 3.90 or higher.


Microphone directivity in hand/on desk

This property specifies how the DPM uses its microphone while that is hold in hand or put on a desk. The following options are available:

  • Directional: This option is used for focused recording.

  • 360° meeting: This option is used for recording overall ambient sound equally with two active microphones.

This property is available only for Digital Pocket Memo 8000 series devices.


Microphone sensitivity

This property specifies the sensitivity of the microphone on the DPM. The sensitivity of the microphone can be set to the following options:

  • Low (Private): This setting is recommended when recording dictations in a noisy environment. To get a good quality recording it is important to speak close to the microphone

  • Medium (Dictate): This is the default setting and recommended when recording dictations in a normal environment.

  • High (Conference): This setting is recommended when, for example, recording at a conference.


Plus/Minus button enabled

This property specifies whether the +/- button is enabled on the device.

This property is available only for Digital Pocket Memo 8000 series devices.


Protect device configuration

This property specifies whether the settings saved on the DPM can be changed on the device. If this property is enabled, the configuration of the DPM can only be done through a PC.

The following DPM menu entries cannot be accessed and changed:

  • the menu entry for setting the date and time

  • the menu entry for setting the Standard Play, Long Play mobile or Quality Play recording format

  • the menu entry for enabling and disabling the device beep

  • the menu entry for setting the microphone sensitivity

  • the menu entry for enabling and disabling voice-activated recording

  • the menu entry for enabling and disabling the backlit display function

  • the menu entry for changing the contrast setting

  • the menu entry for showing and hiding the remaining time

  • the menu entry for reformatting the memory card


Record into one file only

This property specifies whether all recordings made with the DPM should be stored in one file. By default, each new dictation is recorded in a separate file.

When this property is set, pressing the EOL button has no effect. This behavior is similar to recording on a tape with an analog device.


Record notification beep

This property specifies whether the DPM beeps when recording is possible.

Activating this option means that you must wait until you hear a beep before you start recording. This behavior is similar to the behavior of standard voice mail machines.


Recording format

This property specifies the recording format in which dictation files are recorded on the DPM.

The DPM can create dictation files with the following formats:

  • Grundig 16 kHz; Quality Play in DSS Pro mode

  • Grundig 12 kHz; Standard Play without silence compression

  • PCM Stereo (WAV)

  • PCM Mono (WAV)

  • MP3 Stereo (MP3)


Slider jump back time

This property specifies the number of seconds (between 0 and 4 minutes) to rewind a file when restarting playback.

Note: It is available only for DPM3 devices with firmware version 3.90 or higher and for DPM8000 series devices.


Smart button configuration

This property specifies the role and behaviour of the Smart buttons 1-3 on the selected recorder to meet your personal requirements in Stop New, Stop, Record, Record Standby and Play mode.

The following configurations are available:

  • Stop New: Show Keyword1-4 values, Toggle priority, File information, Recording profile, Scan barcode (only for DPM8500), <Disabled>; Main menu (only for Smart button 2)

  • Stop: Set index, Change edit mode, Show Keyword1-4 values, Toggle priority, File information, Delete file, Scan barcode (only for DPM8500), Toggle EOL, Create new file, <Disabled>; Main menu (only for Smart button 2)

  • Record: Set index, Set instruction, <Disabled>

  • Record Standby: Show Keyword1-4 values, File information, Set index , Create new file, <Disabled>
    Note: In case of International slide switch configuration, the smart buttons cannot be customized in Record Standby mode.

  • Play: Mute speaker, Playback speed, Set index , <Disabled>

This property is available only for Digital Pocket Memo 8000 series devices.


Time format

This property specifies the date and time format to be used on the DPM. The date and time can be shown in US format (AM/PM) and international format (24 hour):

  • If the US format is used, the date is shown in the YYYY-DD-MM format; the time is shown using the 12-hour clock with AM/PM symbols.

  • If the international format is used, the date is shown in this format: YYYY-MM-DD; the time is shown using the 24-hour clock.


Update DPM time

This property specifies the time and date on the DPM so that it is synchronous with the time and date on the PC.


Usage of Keyword

Usage and value of keyword

You can specify keywords which can be selected on the DPM. Keywords enable authors to personalize their dictations through selecting their personal keyword on the DPM.

Keywords can also be used for workflow purposes and as the destination path if the automatic download functionality is enabled.

The DPM Download/Configuration programs are usually delivered with the following default keywords defined:

Keyword 1
Usage string: Author
Content string: DPM

Example: Defining usage strings, each with three content strings, for Keyword 2 and Keyword 3

  1. For the Usage of Keyword 2, type Subject

  2. For the Value 1 of Keyword 2, type Radiology

  3. For the Value 2 of Keyword 2, type Surgery

  4. For the Value 3 of Keyword 2, type Patient

  5. For the Usage of Keyword 3, type Action

  6. For the Value 1 of Keyword 3, type None

  7. For the Value 2 of Keyword 3, type Immediate

  8. For the Value 3 of Keyword 3, type Refer

The maximum number of characters for each usage and content entry is 15. Each keyword can have one usage entry and ten or twenty content entries, depending on the device type (LFH).

This information is transferred to the DPM where the author selects the subject names and actions for each dictation.

The allowed characters are the following:


USB High Power Mode

This property specifies whether USB High Power mode is enabled. If this option is disabled, the battery of the DPM device is not charged.


Value of Keyword

For information on the value of the keyword, see Usage of keyword.


Voice-activated recording

This property specifies whether voice-activated recording is enabled.

When voice-activated recording is enabled, the DPM is in Record Standby mode. Recording starts automatically when the input level exceeds a certain threshold, which happens usually when the author starts dictating. Recording stops automatically a few seconds after the author stops speaking and restarts automatically when the author starts speaking again.


Obligatory keyword selection

This property specifies whether keyword selection is mandatory for a new dictation.

Note: This property is available only for DPM3 devices with firmware version 3.90 or higher and for DPM8000 series devices.


Disconnect when OOR

Disconnect when OOR (Out-Of-Range)

This property specifies the timeout when the SpeechMike Airbridge disconnects from the USB host after the SpeechMike Air goes out of the Bluetooth range.

This property is available only for SpeechMike Air devices.


Enable acoustical warning

This property specifies whether the acoustical warning is enabled on the SpeechMike Air.

This property is available only for SpeechMike Air devices.


Enable Button Click Suppression

This property specifies whether the button click suppression functionality is enabled or not.

If enabled, the Button Click Suppression filter will be used during recording. This feature removes the clicking noise of buttons when pressing them.


Enable haptic warning

This property specifies whether the vibration warning is enabled on the SpeechMike Air.

This property is available only for SpeechMike Air devices.


Enable ScrollWheel

This property specifies whether the scroll wheel functionality is enabled or not.

If enabled, the scroll wheel of the SpeechMike works like a standard Microsoft mouse scroll wheel.


Enable ScrollWheel Volume Control

This property specifies whether the volume can be adjusted with the scroll wheel.

If enabled, users can adjust playback volume using the scroll wheel on the SpeechMike device.


Enable Trackball

This property specifies whether the track ball functionality is enabled or not.

If enabled, users can use the trackball on the SpeechMike like a regular trackball to guide the mouse pointer on the screen.


Enable Trackball Volume Control

This property specifies whether the volume can be adjusted by pressing and scrolling the trackball.

If enabled, users can adjust playback volume using the trackball on the SpeechMike device.


Enable wheel functions on F-Keys

This property specifies whether the scroll wheel functions are enabled on the function keys of the SpeechMike Premium.

This property is available only for SpeechMike Premium devices.


Lock Device Settings

The value of this property can be used by 3rd party integrators.


Motion Control

This property specifies defines how the microphone of the device changes the input level of the microphone while the device is laid down or picked up.

The value specifies whether the input level of the microphone is changed when put on desk.

Disable

This function is disabled, the input level of the microphone is not changed.

Reduce input level

The input level of the microphone is reduced by 20 dB when put on desk.

Mute microphone

The input level of the microphone is muted when put on desk.

This property is available only for SpeechMike Premium devices.


Pick and Drop delay

This property controls the Pick and Drop functionality of the SpeechMike Air. If Pick and Drop is turned on, the user can drag and drop without holding the mouse button. If the user holds the left mouse button for the specified Pick and Drop time, the object is dragged. The object can be dropped with a simple mouse-click.

The value specifies the time needed for starting the drag operation.

This property is available only for SpeechMike Air devices.


Power Mode

This property specifies whether the power mode functionality is enabled or not.

Standard Power Mode

Switches the SpeechMike device to standard power management mode. In standard power mode the SpeechMike device uses approximately 300mA (milliapms) of power from the USB port. However some PC providers limit the output power of USB ports to 100mA (so called "bus-powered USB ports"). Such ports do not provide enough power for the SpeechMike devices to function properly. In this case, you can switch the device to low power mode (see below).

Low Power Mode

Switches the SpeechMike device to low energy consumption mode. In low power mode the SpeechMike uses only about 100mA (milliamps) of power from the USB port (as opposed to 300mA in standard power mode). This is useful when the PC has "bus-powered USB ports" which can only supply this much power. It may also be useful when using the SpeechMike with a notebook computer running off batteries.

Important: When in low power mode, the playback volume may be noticeably lower.

For power mode settings to take effect, the device must be unplugged from the computer then plugged back in.


Power off timer

This property specifies the time after the SpeechMike Air device is turned off.

This property is available only for SpeechMike Air devices.


Sleep mode timer

This property specifies the time after the SpeechMike Air device goes into sleep mode.

This property is available only for SpeechMike Air devices.


Trackball Speed

This property specifies the trackball speed from 0 (slow) to 3 (fast).

This setting is similar to, but works independently of, the Cursor Speed and Acceleration setting on the standard Windows Mouse control panel. Adjusting this value does not affect the speed of the screen pointer when using a mouse. It only affects pointer speed when using the SpeechMike trackball.


USB gap detection mode

This property specifies the USB gap detection mode on SpeechMike Air devices.

USB gap occurs when Microsoft Windows does not read the audio data from the device when it should.

If this setting is turned on, the application must be prepared for handling the USB gap event.

This property is available only for SpeechMike Air devices.


Foot Control Settings

Here you can set the event to be sent for each Foot Control button.

When pressing a Foot Control button, first a Stop released event is sent and then the pressed event of the specified setting. When releasing the Foot Control button, the released event of the specified setting is sent, followed by a Stop pressed event.

Example:

Specified setting = Play

When pressing Play, first a Stop released event is sent and then the Play pressed event. When releasing the Play button, first a Play released event is sent and then the Stop pressed event.

Important:

  • The only exception to this is when the specified event is the Play Stop Toggle. In this case, a Play Stop Toggle pressed event is sent without the Stop release and Stop pressed event. This way, users do not have to keep the "Play" button pressed during playback, but they can stop playback by pressing the Play Stop Toggle button again.

  • Foot Control settings are read by the applications only at start-up. If settings are modified by the Updater Client after the start-up of the application using the Foot Control, the settings will not take effect until the application is restarted.


Fimrware files

Firmware files

Warning: If write protection is enabled on a Digital Pocket Memo, the Updater Client has to temporarily disable it when copying the firmware file to the device. If the firmware is specified in a DPM configuration and firmware upgrade is needed, the Updater Client will re-enable the write protection after finishing the upgrade process. However, if the Digital Pocket Memo device is disconnected before the end of the process, the device will remain writable.
If you want the write protection to be never removed, make sure that the device configurations do not specify a firmware file. The specified firmware will be set to all Digital Pocket Memo devices by clicking the Set to all configurations option, regardless of their write protection setting.

This page lists the available firmware files which can be uploaded to the connected Digital Pocket Memo 3, Digital Pocket Memo 8000 series, SpeechMike 3rd Generation, SpeechMike Air, or SpeechMike Premium devices. The list displays the version and the name of the file.

The firmware files are classified in categories that correspond to the device categories. Firmware files for Digital Pocket Memo 8000 series are selectable only in Digital Pocket Memo 8000 series device configurations.

Firmware versions in this list can be associated to individual device configurations in the Configuration editor window.

The following actions are available on the Firmware files page:

Add

Add new firmware files to the list.

Delete

Delete the selected firmware file from the list.

Files can be deleted only if they are not associated to any of the configurations.

Set to all configurations

Assign the selected firmware version to all configurations under Unassigned and to all group configurations under the organizational units. The selected firmware version will be applicable to all device configurations under these units, without the ability to change it in the individual device configurations.


Custom filter

The Custom filter window enables displaying only specific information in the Device list. The Device list can be filtered by using the following attributes:

Device type / LFH

Select the type or the LFH of the device configuration. The device can be a DPM3, a FootControl, or a SpeechMike.

Serial

Enter the serial number of the selected Digital Pocket Memo configuration. This field is visible only when editing Digital Pocket Memo configurations.

Login

Enter the login of the selected FootControl or SpeechMike configuration. This field is visible only when editing FootControl or SpeechMike configurations.

Organization Unit

Select the NEW DEVICES unit, the Unassigned unit or an organizational unit to which the currently selected configuration belongs.

Comment

Enter the text that you want to search for.

For Serial, Login and Comment wildcard is used automatically and the filtering is case-sensitive.

To apply the filter and refresh the configuration list, click the Filter button.


Templates

Configuration templates can be used to manage group configurations at once instead of the individual configurations that must be handled one by one.

The Templates tree displays the templates of the devices in a hierarchical structure.

The template list displays the following information:

  • the templates of a device (if a device is selected in the Templates tree)

  • the templates of all devices of a category (if a category is selected in the Templates tree)

  • all templates (if the All templates category is selected in the Templates tree)

The template configuration page displays the configuration settings of the template selected in the Templates tree.

Template creation

To create new configuration templates, select a device in the tree and click the Add toolbar button on the Template list page or choose Add template from the context menu in the Configuration tree. New configuration templates are created in the Configuration editor window.

Configuration templates can also be created from existing source group configurations. In this case, all settings with enabled Overwrite option are copied from the source group configuration into the new template. To create a configuration template from an existing source group configuration, select a group configuration from the Configuration tree and choose Create template from the context menu.

Template editing

To edit existing configuration templates, select a device in the tree and click the Edit toolbar button on the Template list page or choose Edit from the context menu in the Configuration tree. Editing the settings of a template is done in the Configuration editor window.

Applying template to group configuration

The new or edited template of a device can be applied to a group configuration with the Apply template button in the Configuration editor window, opened from the group configuration in the Configuration tree. Select the appropriate template from the list displayed in the Select template window (more templates can be applied one by one).

All settings with enabled Overwrite option are copied to the group configuration, overwriting the existing settings.

Note: The Apply template function is available only when creating or editing a template from the group configuration.

Template deletion

To delete existing configuration templates, select a device in the Templates tree and click the Delete toolbar button on the Template list page or choose Delete from the context menu in the Templates tree.


Updater Client

The Updater Client application browses for a configuration for the user's device according to the following rules:

  1. The Updater Client application starts running and it checks the device that has been connected.

  2. The application reads the LFH and serial number (DPM) or user name (SpeechMike and Foot Control) of the device and looks for a configuration that can be uploaded onto the device.

  3. When the application finds the configuration, it uploads the configuration onto the connected device.
    Only those settings will be changed on the device, where Overwrite is checked in either in the group configuration or in the device configuration.

  4. The Updater Client reads the actual setting values of the connected device and uploads them to the Server. These values will be visible in the Last known setting column in the Management Console.

  5. If the connected device is a Digital Pocket Memo and a firmware version is defined in the configuration, the specified firmware file will be copied to the device if the version numbers do not match.
    Note:     The actual firmware upgrade process will be done after the device is disconnected from the PC.

The client caches the configurations and the firmware files in the current user’s file system (no additional rights required). If the client cannot connect to the server, the cached configurations and firmware files of the client are used.

The Updater Client downloads and maintains the list of all device configurations on a per-user basis. At startup it downloads all the necessary configurations. The list of configurations is stored for work in offline mode. This means that when a user connects a device with configuration to the client PC, no network traffic is needed and the configuration can be uploaded immediately.

The system tray icon of Updater Client displays the following options:

Update now

Forces a download from the Server and then updates all the connected devices. This function is used for immediate upload of the modified settings.

Reset device

Resets the settings of all connected dictation devices to their factory defaults.

Suppress connection messages

Whenk checked, prevents displaying a notification which informs you whether the connection to the server was successful.

About...

Displays the About dialog with general version and copyright information.

Exit

Removes the icon of Updater Client from the system tray.

Remarks:

  • If more than one Digital Pocket Memo is connected to the client PC, only one of them will be updated.

  • All the devices are updated when they are connected to the PC or when the Updater Client application is started.


Troubleshooting

The Management Console and the Updater Client save the log files to the following path:

  • Windows Server 2003 R2 and Windows XP:
    <Documents and Settings>\<user>\Local Settings\Application Data\Remote Device Manager

  • Windows Vista, Windows 7 and Windows Server 2008 R2:
    Users\<user name>\AppData\Local\Remote Device Manager

The server saves the log files to the following path:

  • Windows XP:
    <Documents and Settings>\LocalService\Local Settings\Application Data\Remote Device Manager

  • Windows Server 2003 R2:
    <Documents and Settings>\Default User\Local Settings\Application Data\Remote Device Manager

  • Windows Vista, Windows 7 and Windows Server 2008 R2:
    <Windows>\System32\config\systemprofile\AppData\Local\Remote Device Manager


Configuration types

The following configuration types exist for Philips Remote Device Manager:

  • Factory default: This is the default configuration of the device specified by Philips. The list of the factory default configurations is built in to the application and cannot be changed. All Philips devices have one factory default configuration.

  • Default configuration: The administrators can specify default configurations for devices based on LFH numbers. These default configurations are uploaded to the new devices if they do not have a configuration specified for their unique ID. By default, there are no default configurations specified, but they can be created by copying factory defaults. This configuration is associated with LFH numbers and optionally with serial numbers.

  • User configuration: The administrators can also specify user configurations for devices. This configuration is associated with users, LFH numbers and optionally with serial numbers.

For information on searching and managing configurations, see Updater Client.

For information on creating and editing configurations, see Configuration editor and Configuration list in Management Console.


Barcode scan button

EOL (End-of-Letter) button enabled

This property specifies whether the EOL button is enabled on a DPM.